import { LitElement } from 'lit';
declare const ModalFooter_base: import("./util").Constructor<{
    close: () => void;
}> & import("./util").Constructor<{
    handleSlotChange: (evt: Event) => void;
}> & typeof LitElement;
/**
 * The footer section of a modal, typically where you place actions.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/overlays-modal--docs)
 */
export declare class ModalFooter extends ModalFooter_base {
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export {};
